Name:		qubes-snapd-helper
Version:	1.0.4
Release:	1%{?dist}
Summary:	Helper for snapd to make snaps persistent in Qubes VMs

License:	GPL
URL:		https://www.qubes-os.org
Source0:	%{name}-%{version}.tar.gz
BuildArch:  noarch
%{?systemd_requires}
BuildRequires: make
BuildRequires: systemd

%description
Helper scripts to make snaps persistent in Qubes VMs. This consists of two parts:
 - bind-dirs configuration to persist /var/lib/snapd and /snap
 - script to regenerate snap-*.mount unit files

%prep
%setup -q

%install
%make_install

%post
%systemd_post qubes-snapd-mount.service

%preun
%systemd_preun qubes-snapd-mount.service

%postun
%systemd_postun qubes-snapd-mount.service

%files
%{_unitdir}/qubes-snapd-mount.service
%{_unitdir}-preset/70-qubes-snapd.preset
/usr/lib/qubes/qubes-snapd-mount
/usr/lib/qubes-bind-dirs.d/30_snapd.conf

%changelog
* Wed Jul 13 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-snapd-helper.git

* Wed Jul 13 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f734b3
- version 1.0.4

* Wed May 11 2022 Maarten Aertsen <maarten@rtsn.nl> - 3a23460
- Create, enable and start .automount files

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5fc6ac2
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0522db5
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 62527b5
- Drop Travis CI

* Mon May 17 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e371887
- version 1.0.3

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f77373d
- spec: add BR make

* Tue Jan 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6cd14a7
- version 1.0.2

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - eebbf49
- debian: update compat

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 08dd42e
- debian: update control

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f3aff40
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9599d0d
- Update travis

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7808ae1
- travis: switch to bionic

* Mon Aug 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1c40d4b
- version 1.0.1

* Thu May 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 284c4b5
- travis: drop R3.2, add fc30 and buster

* Thu May 16 2019 Anastasia Cotorobai <cotorobai.anastasia@gmail.com> - cf0b6fc
- Fix Fedora target_dir symlink problem with respect to upstream

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3218e1b
- travis: initial version

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 418bb0b
- Add GPLv2+ license

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b381cfd
- Add Debian packaging

* Fri Sep 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef858fc
- Fix snap mount directory on Fedora, fix unit name escaping

* Fri Sep 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1549136
- Initial commit

